std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false, _Unique_keys > Struct Template Reference
Base and Implementation Classes
Inheritance diagram for std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false, _Unique_keys >:
[legend]

## Public Types

using | __base_type = _Insert_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >
using | __hashtable = typename __base_type::__hashtable
using | __hashtable_base = _Hashtable_base< _Key, _Value, _ExtractKey, _Equal, _H1, _H2, _Hash, _Traits >
using | __iconv_type = typename __base_type::__iconv_type
using | __ireturn_type = typename __base_type::__ireturn_type
template<typename _Pair >
using | __is_cons = std::is_constructible< value_type, _Pair && >
using | __unique_keys = typename __base_type::__unique_keys
template<typename _Pair >
using | _IFcons = std::enable_if< __is_cons< _Pair >::value >
template<typename _Pair >
using | _IFconsp = typename _IFcons< _Pair >::type
using | const_iterator = typename __base_type::const_iterator
using | iterator = typename __base_type::iterator
using | size_type = typename __hashtable_base::size_type
using | value_type = typename __base_type::value_type

## Public Member Functions

__hashtable & | _M_conjure_hashtable ()
__ireturn_type | insert (const value_type &__v)
iterator | insert (const_iterator, const value_type &__v)
void | insert (initializer_list< value_type > __l)
template<typename _InputIterator >
void | insert (_InputIterator __first, _InputIterator __last)
template<typename _Pair , typename = _IFconsp<_Pair>>
__ireturn_type | insert (_Pair &&__v)
template<typename _Pair , typename = _IFconsp<_Pair>>
iterator | insert (const_iterator, _Pair &&__v)

## Detailed Description

### template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits, bool _Unique_keys>
struct std::__detail::_Insert< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, false, _Unique_keys >

Specialization.

Definition at line 736 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h